Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.userManagement
Class PortalGroupsManagement

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.PortalGroupsManagement

public class PortalGroupsManagement
extends java.lang.Object

Id: PortalGroupsManagement.java,v 1.0 15 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: PortalGroupsManagement Original Author: Yohan Colmant Manage the portal groups access. For example, if we want to know in which groups a specified user is.

Constructor Summary
`PortalGroupsManagement()`

Method Summary
`static java.util.Vector` | `getGroupHierarchy(org.jasig.portal.groups.IEntityGroup group)` Get this group hierarchy
`static java.util.Vector` | `getGroupHierarchy(java.lang.String groupKey)` Get this group hierarchy
`static java.lang.String` | `getGroupName(java.lang.String groupKey)` Get the display name for the group key specified in parameter
`static java.util.Vector` | `getUserGroupsKeys(java.lang.String userLogin)` Get the current user groups in the portal

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalGroupsManagement

    public PortalGroupsManagement()

Method Detail

### getGroupName

    public static java.lang.String getGroupName(java.lang.String groupKey)
                                         throws ServerException

  Get the display name for the group key specified in parameter

  Parameters:
    `groupKey` - the group key
  Returns:
    the display name
  Throws:
    `ServerException`

### getGroupHierarchy

    public static java.util.Vector getGroupHierarchy(org.jasig.portal.groups.IEntityGroup group)
                                              throws ServerException

  Get this group hierarchy

  Parameters:
    `group` - the group to explore
  Returns:
    the group hierarchy in a vector form
  Throws:
    `ServerException`

### getGroupHierarchy

    public static java.util.Vector getGroupHierarchy(java.lang.String groupKey)
                                              throws ServerException

  Get this group hierarchy

  Parameters:
    `groupKey` - the key of the group to explore
  Returns:
    the group hierarchy in a vector form
  Throws:
    `ServerException`

### getUserGroupsKeys

    public static java.util.Vector getUserGroupsKeys(java.lang.String userLogin)

  Get the current user groups in the portal

  Parameters:
    `userLogin` - the login of the user
  Returns:
    the current user groups in the portal

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD